%define oname	SABnzbd
%define subrel 1
Name:		sabnzbd
Version:	2.1.0
Release:	%mkrel 2
License:	GPLv2
Summary:	An open source binary newsreader written in Python
Url:		http://sabnzbd.org
Group:		Networking/News

Source:		http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/%{version}/%{oname}-%{version}-src.tar.gz
Source1:	%{oname}.desktop
Source2:	%{oname}.service
Source3:	%{oname}.sysconfig

Patch:		sabnzbd-2.1.0-mga-fix_required_cheetah_version.patch

BuildRequires:	fdupes
BuildRequires:	python
BuildRequires:	systemd

Requires:	parchive2
Requires:	python-cheetah
Requires:	python-OpenSSL
Requires:	python-yenc
Requires:	unzip

Recommends:	unrar

BuildArch:	noarch

%description
%{oname} makes Usenet as simple and streamlined as possible by automating
everything it can. All you have to do is add an .nzb. %{oname} takes over from
there, where it will be automatically downloaded, verified, repaired, extracted
and filed away with zero human interaction.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
# Create translation files
python tools/make_mo.py

%install
install -dm755 %{buildroot}%{_datadir}/%{oname}/

find . -maxdepth 1 -type d \
  ! -name po -a \
  ! -name locale -a \
  ! -name licenses -a \
  ! -name . \
  -print > dirs

while read LINE; do
  find ${LINE} -type f \
    -exec install -Dm644 {} %{buildroot}%{_datadir}/%{oname}/{} \;
done < dirs

rm dirs

install -m755 ./%{oname}.py %{buildroot}%{_datadir}/%{oname}/

# Install translations
find locale -type f -exec \
  install -Dm644 {} %{buildroot}%{_datadir}/%{oname}/{} \;


# Install desktop file
install -dm755 %{buildroot}%{_datadir}/applications/
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# Install systemd service
install -dm755 %{buildroot}%{_unitdir}/
install -m644 %{SOURCE2} %{buildroot}%{_unitdir}/

# Install sysconfig file
install -dm755 %{buildroot}%{_sysconfdir}/sysconfig
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{oname}

# Remove shebang lines from the Python 2 files to avoid rpmlint's
# non-executable-script error.
find %{buildroot} -type f -name '*.py' -a ! -name '%{oname}.py' -exec \
  sed -i '/^#!/d' {} \;

# Cherry daemon should be executable
chmod 755 %{buildroot}%{_datadir}/%{oname}/cherrypy/cherryd

# Link duplicate files together to save space
%fdupes %{buildroot}

# Remove duplicate GPL-2.0 and GPL-3.0 license files
rm -v \
  %{buildroot}%{_datadir}/%{oname}/interfaces/Plush/licenses/LICENSE-GPL3.txt
rm -v %{buildroot}%{_datadir}/%{oname}/interfaces/smpl/GPL2.txt
rm -v %{buildroot}%{_datadir}/%{oname}/interfaces/smpl/GPL3.txt

# Remove empty files
find %{buildroot} -type f -empty -delete

%post
# Set SABNZBD_USER to real user
sed -i "s/someuser/$(users | awk '{print $1}')/" %{_sysconfdir}/sysconfig/%{oname}
# Enable daemon
%_post_service %{oname}
# Start it on install
systemctl start %{oname}.service

%preun
%_preun_service %{oname}

%files
%doc COPYRIGHT.txt GPL2.txt GPL3.txt ISSUES.txt README.txt
%{_unitdir}/%{oname}.service
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/%{oname}/
%config(noreplace) %{_sysconfdir}/sysconfig/%{oname}


%changelog
* Mon Jan 06 2020 barjac <barjac> 2.1.0-2.1.mga7
+ Revision: 1477017
- fix for #Mga26020 (sabnzbd wont start)

* Fri Sep 21 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1291464
- Mageia 7 Mass Rebuild

* Wed Dec 27 2017 barjac <barjac> 2.1.0-1.mga7
+ Revision: 1185528
- new version 2.1.0

* Thu Aug 04 2016 barjac <barjac> 1.0.3-1.mga6
+ Revision: 1044421
- new version

* Wed Mar 23 2016 barjac <barjac> 1.0.0-1.mga6
+ Revision: 994227
- new version 1.0.0
- fix files list

* Sat Feb 20 2016 umeabot <umeabot> 0.7.20-2.mga6
+ Revision: 972177
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 barjac <barjac> 0.7.20-1.mga6
+ Revision: 896536
- new version 0.7.20
- remove find_lang as nothing is found

* Fri Nov 21 2014 barjac <barjac> 0.7.19-1.mga5
+ Revision: 798032
- new version 0.7.19

* Wed Oct 15 2014 umeabot <umeabot> 0.7.18-3.mga5
+ Revision: 747315
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.18-2.mga5
+ Revision: 689018
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Sep 09 2014 barjac <barjac> 0.7.18-1.mga5
+ Revision: 674308
- new version 0.7.18

* Wed Apr 09 2014 barjac <barjac> 0.7.17-1.mga5
+ Revision: 613127
- new version 0.7.17

* Mon Feb 24 2014 barjac <barjac> 0.7.16-3.mga5
+ Revision: 596460
- Suggests unrar not Requires due to unrar non-free

* Sun Feb 23 2014 barjac <barjac> 0.7.16-2.mga5
+ Revision: 596072
- fix possible blank user in %%post
- start daemon on install

* Sat Feb 22 2014 barjac <barjac> 0.7.16-1.mga5
+ Revision: 595580
- Import based on SUSE original spec with thanks

